com.google.cloud.dataflow.sdk.runners

## Class DataflowPipelineRegistrar.Options

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DataflowPipelineRegistrar.Options

All Implemented Interfaces:
  PipelineOptionsRegistrar

Enclosing class:
  DataflowPipelineRegistrar

    @AutoService(value=PipelineOptionsRegistrar.class)
    public static class DataflowPipelineRegistrar.Options
    extends Object
    implements PipelineOptionsRegistrar

Register the `DataflowPipelineOptions` and `BlockingDataflowPipelineOptions`.

### Constructor Summary

Constructors
Constructor and Description
`Options()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<Class<? extends PipelineOptions>>` `getPipelineOptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Options

    public Options()

### Method Detail

#### getPipelineOptions

    public Iterable<Class<? extends PipelineOptions>> getPipelineOptions()

Specified by:
  `getPipelineOptions` in interface `PipelineOptionsRegistrar`